#ifndef B_H
#define B_H

typedef nx_struct Command {
  nx_uint16_t ipi;
  nx_uint32_t number;
  nx_uint16_t dest;
  nx_uint8_t channel;
  nx_uint8_t power;  
  nx_uint8_t acks;
  nx_uint8_t csma;
} Command;

typedef nx_struct Pack {
  nx_uint32_t packno;
  nx_uint8_t ackFlag;		//1 signifies packet from transmitter for which ack was received
} Pack;

typedef nx_struct BackToPC {
  //nx_uint16_t transmitter;
  nx_uint16_t receiver;
  nx_uint8_t ackFlag;		//1 signifies packet from transmitter for which ack was received
  nx_uint32_t packno;
  nx_uint8_t rssi;
  nx_uint8_t lqi;
} BackToPC;

enum {
  AM_COMMAND = 1,
};

enum {
  AM_PACK = 2,
};

enum {
  AM_BACKTOPC = 3,
};


#endif
