# calculates the PRR and outputs prr information for prr.py
# @author Jonathan Chu <jchu3@cs.stanford.edu>

from numpy import *
from pylab import *
import math
import subprocess

def generate_topology (dbTable, prr):
	links=open('../log/' + dbTable + '/links.txt')
	#want to eschew concatenation for list appending
	stringList = []
	i = 0
	for line1 in links:
	    link = line1.split('\n')
	    tx = link[0].split('+')[0]
	    rx = link[0].split('+')[1]
	    stringList.append("%s %s %s" % (tx, rx, prr[i]))
	    i += 1
	links.close()
	gen_graph = subprocess.Popen(["python", "prr.py", "../reports/%s/plots/topology.png" % dbTable], 0, None, subprocess.PIPE)
	gen_graph.communicate("\n".join(stringList))
	gen_graph.wait()
