# Copyright (c) 2008 Stanford University.
# All rights reserved.
# 
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# - Redistributions of source code must retain the above copyright
#   notice, this list of conditions and the following disclaimer.
# - Redistributions in binary form must reproduce the above copyright
#   notice, this list of conditions and the following disclaimer in the
#   documentation and/or other materials provided with the
#   distribution.
# - Neither the name of the Stanford University nor the names of
#   its contributors may be used to endorse or promote products derived
#   from this software without specific prior written permission.
# 
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# ``AS IS'' AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS
# FOR A PARTICULAR PURPOSE ARE DISCLAIMED.  IN NO EVENT SHALL STANFORD
# UNIVERSITY OR ITS CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT,
# INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES
# (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR
# SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT,
# STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
# ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED
# OF THE POSSIBILITY OF SUCH DAMAGE.
# 
# @author Maria Kazandjieva <mariakaz@cs.stanford.edu>
# Created: 11/05/2008


import MySQLdb
import os

def get_dbs():
	
	tables = open("../log/tables.txt", "r")
	f = open("dbs.js", "w")
	f.write("function fillCategory() {\n")
	while 1:
		name = tables.readline()
		name = name.replace("\n", "")
		if not name:
			break
		pass

        	parts = name.split("_")
        	db_name = parts[0] + ": " + parts[1] + " " + parts[2] + ", " + parts[3] + " at " + parts[4] + ":" + parts[5] + ":" + parts[6]
		if parts[7] == "1":
			db_name += " (802.11)"
		else:
			db_name += " (802.15.4)"
		f.write('addOption(document.data.databases, \"' + db_name + '\", \"' + db_name + '\"' + ');');
		f.write("\n")
	
        f.write("}")
        f.write("\n\n")
        f.write("function addOption(selectbox, value, text) {\n")

        f.write("var optn = document.createElement(\"OPTION\");\n")
        f.write("optn.text = text;\n")
        f.write("optn.value = value;\n")
        f.write("optn.selected = true;\n")
        f.write("selectbox.options.add(optn);\n")
        f.write("}")



get_dbs()
